%define aurox_ver 9.4
%define rel 1


%define version        0.30.1
%define desktop_vendor aurox
# menu level: Base or Extra
%define menu_level Base

#%define prefix         /usr

Summary: Lum - Simulator of practical works in optics
Name: lum
Version: %{version}
Release: %{aurox_ver}.aur.%{rel}
Copyright: GPL
Group: Applications/Education
Source: lum-%{version}.tar.gz
Source1: %{name}.desktop
Source2: lunette.lum
BuildRoot: %{_tmppath}/%{name}-root
URL: http://www.linux-france.org/prj/lum/
BuildRequires: desktop-file-utils
BuildRequires: qt-devel >= 3.0

%description

%prep
%setup

%build
%configure
make

%install
rm -rf %{buildroot}
%makeinstall

install -m 0644 lum_??.qm %{buildroot}%{_datadir}/%{name}/

mkdir -p %{buildroot}%{_datadir}/applications
desktop-file-install --vendor %{desktop_vendor} \
  --dir %{buildroot}%{_datadir}/applications    \
  --add-category X-Aurox-%{menu_level}          \
  --add-category Application                    \
  --add-category Education                      \
  %{SOURCE1}


install -m 0644 %{SOURCE2} %{buildroot}%{_datadir}/%{name}/

%clean
rm -rf %{buildroot}

%post

%postun

%files
%defattr(-, root, root)
%{_bindir}/*
%{_datadir}/applications/*.desktop
%{_datadir}/%{name}

%doc GPL INSTALL_FR

%changelog
* Thu May 06 2004 Aurox Team <aurox@aurox.org> 0:0.30.1-9.4.aur.1
- rebuild with qt 3.2

* Sat Apr 12 2003 Robert Glowczynski <robertg@software.com.pl> 0.30.1-2aur
- example lunette.lum replaced with version using correct (for this build) path

* Fri Apr 11 2003 Robert Glowczynski <robertg@software.com.pl>
- initial RPM for Aurox Linux
- source updated: compiles with Qt 3.x; Polish translation added
